You are not logged in.

#1 2013-06-04 19:51:39

riccardo
Member
From: IT
Registered: 2012-08-05
Posts: 50

[SOLVED] unable to find root device

Hello,

after some updates (several updates), now my arch system doesn't boot. This is the output during the boot:

ERROR: device 'UUID=***' not found. Skipping fsck.
ERROR: Unable to find root device 'UUID=***'.
You are being dropped to a recovery shell
         Type 'exit' to try and continue booting
sh: can't access tty; job control turned off

I try to modify /etc/fstab from UUID to label, but nothing.

Help me sad


Thank you.
Riccardo

Last edited by riccardo (2013-06-04 20:55:10)


Arch Linux x86_64 | GNOME | Genuine Intel® CPU U7300 @ 1.30GHz × 2 | 3,7 GiB | Corsair Force 3 SSD 120 GiB

Offline

#2 2013-06-04 19:57:56

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 27,749
Website

Re: [SOLVED] unable to find root device

Not an Installation issue, and no helpful details like your pacman log...

Moving to NC


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#3 2013-06-04 20:15:17

riccardo
Member
From: IT
Registered: 2012-08-05
Posts: 50

Re: [SOLVED] unable to find root device

Here my pacman.log:

[2013-06-04 19:28] [PACMAN] Running 'pacman -Syu'
[2013-06-04 19:28] [PACMAN] synchronizing package lists
[2013-06-04 19:28] [PACMAN] starting full system upgrade
[2013-06-04 19:49] [PACMAN] Running 'pacman -Syu --ignore filesystem'
[2013-06-04 19:49] [PACMAN] synchronizing package lists
[2013-06-04 19:49] [PACMAN] starting full system upgrade
[2013-06-04 19:51] [ALPM-SCRIPTLET] Generating locales...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   en_US.UTF-8... done
[2013-06-04 19:51] [ALPM-SCRIPTLET]   it_IT.UTF-8... done
[2013-06-04 19:51] [ALPM-SCRIPTLET] Generation complete.
[2013-06-04 19:51] [PACMAN] upgraded glibc (2.17-5 -> 2.17-6)
[2013-06-04 19:51] [PACMAN] upgraded alsa-lib (1.0.27-2 -> 1.0.27.1-1)
[2013-06-04 19:51] [ALPM-SCRIPTLET] ==> Aggiunta delle chiavi da archlinux.gpg in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: 3 marginal(s) needed, 1 complete(s) needed, PGP trust model
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: depth: 0  valid:   1  signed:   5  trust: 0-, 0q, 0n, 0m, 0f, 1u
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: depth: 1  valid:   5  signed:  64  trust: 0-, 0q, 0n, 5m, 0f, 0u
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: depth: 2  valid:  63  signed:   3  trust: 63-, 0q, 0n, 0m, 0f, 0u
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: il prossimo controllo del trustdb sarà fatto il 2014-01-22
[2013-06-04 19:51] [ALPM-SCRIPTLET] ==> Sto firmando localmente le chiavi verificate nel keyring...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Sto firmando localmente la chiave 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Sto firmando localmente la chiave 684148BB25B49E986A4944C55184252D824B18E8...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Sto firmando localmente la chiave 44D4A033AC140143927397D47EFD567D4C7EA887...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Sto firmando localmente la chiave 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Sto firmando localmente la chiave AB19265E5D7D20687D303246BA1DFB64FFF979E7...
[2013-06-04 19:51] [ALPM-SCRIPTLET] ==> Sto importando i valori...
[2013-06-04 19:51] [ALPM-SCRIPTLET] ==> Disabilitazione delle chiavi revocate nel keyring in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Disabilitazione della chiave 1390420191 in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Disabilitazione della chiave E2539214C6C11350 in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET]   -> Disabilitazione della chiave 8544EA82113502DE in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET] ==> Aggiornamento del database in corso...
[2013-06-04 19:51] [ALPM-SCRIPTLET] gpg: il prossimo controllo del trustdb sarà fatto il 2014-01-22
[2013-06-04 19:51] [PACMAN] upgraded archlinux-keyring (20130406-1 -> 20130525-1)
[2013-06-04 19:51] [PACMAN] upgraded cracklib (2.8.22-1 -> 2.8.22-3)
[2013-06-04 19:51] [PACMAN] upgraded pam (1.1.6-3 -> 1.1.6-4)
[2013-06-04 19:51] [PACMAN] upgraded gcc-libs (4.8.0-4 -> 4.8.1-1)
[2013-06-04 19:51] [PACMAN] upgraded bash (4.2.045-1 -> 4.2.045-4)
[2013-06-04 19:51] [PACMAN] upgraded gmp (5.1.1-1 -> 5.1.2-1)
[2013-06-04 19:51] [PACMAN] upgraded coreutils (8.21-1 -> 8.21-2)
[2013-06-04 19:51] [PACMAN] upgraded perl (5.16.3-3 -> 5.18.0-1)
[2013-06-04 19:51] [PACMAN] upgraded automake (1.13.1-1 -> 1.13.2-1)
[2013-06-04 19:51] [PACMAN] upgraded avahi (0.6.31-7 -> 0.6.31-9)
[2013-06-04 19:51] [PACMAN] upgraded sqlite (3.7.16.2-1 -> 3.7.17-1)
[2013-06-04 19:51] [PACMAN] upgraded python2 (2.7.4-1 -> 2.7.5-1)
[2013-06-04 19:51] [PACMAN] upgraded kbd (1.15.5-3 -> 1.15.5-4)
[2013-06-04 19:51] [PACMAN] upgraded kmod (13-1 -> 13-2)
[2013-06-04 19:51] [PACMAN] upgraded shadow (4.1.5.1-5 -> 4.1.5.1-6)
[2013-06-04 19:51] [PACMAN] upgraded util-linux (2.23-2 -> 2.23.1-2)
[2013-06-04 19:51] [PACMAN] upgraded systemd (204-1 -> 204-3)
[2013-06-04 19:51] [PACMAN] upgraded bluez (4.101-1 -> 4.101-2)
[2013-06-04 19:51] [PACMAN] upgraded libltdl (2.4.2-8 -> 2.4.2-9)
[2013-06-04 19:51] [PACMAN] upgraded libxau (1.0.7-1 -> 1.0.8-1)
[2013-06-04 19:51] [PACMAN] upgraded libxcb (1.9-3 -> 1.9.1-1)
[2013-06-04 19:51] [PACMAN] upgraded libx11 (1.5.0-2 -> 1.6.0-1)
[2013-06-04 19:51] [PACMAN] upgraded libxt (1.1.3-1 -> 1.1.4-1)
[2013-06-04 19:51] [PACMAN] upgraded freetype2 (2.4.11-2 -> 2.4.12-1)
[2013-06-04 19:51] [ALPM-SCRIPTLET] updating font cache... done.
[2013-06-04 19:51] [PACMAN] upgraded fontconfig (2.10.92-4 -> 2.10.93-1)
[2013-06-04 19:51] [PACMAN] upgraded libxext (1.3.1-1 -> 1.3.2-1)
[2013-06-04 19:51] [PACMAN] upgraded imagemagick (6.8.5.6-1 -> 6.8.5.7-1)
[2013-06-04 19:51] [PACMAN] upgraded libjpeg-turbo (1.2.1-1 -> 1.3.0-2)
[2013-06-04 19:51] [PACMAN] upgraded poppler (0.22.3-3 -> 0.22.4-1)
[2013-06-04 19:51] [PACMAN] upgraded poppler-qt (0.22.3-3 -> 0.22.4-1)
[2013-06-04 19:51] [PACMAN] upgraded icu (51.1-1 -> 51.2-1)
[2013-06-04 19:51] [PACMAN] upgraded calibre (0.9.30-1 -> 0.9.32-1)
[2013-06-04 19:51] [PACMAN] upgraded libdrm (2.4.44-2 -> 2.4.45-1)
[2013-06-04 19:51] [PACMAN] upgraded cogl (1.14.0-2 -> 1.14.0-3)
[2013-06-04 19:51] [PACMAN] upgraded libxxf86vm (1.1.2-1 -> 1.1.3-1)
[2013-06-04 19:51] [PACMAN] installed llvm-amdgpu-lib-snapshot (20130403-3)
[2013-06-04 19:51] [PACMAN] upgraded mesa (9.1.2-1 -> 9.1.3-1)
[2013-06-04 19:51] [PACMAN] upgraded clutter (1.14.4-1 -> 1.14.4-2)
[2013-06-04 19:51] [PACMAN] upgraded caribou (0.4.10-1 -> 0.4.11-1)
[2013-06-04 19:51] [PACMAN] upgraded libogg (1.3.0-1 -> 1.3.1-1)
[2013-06-04 19:51] [PACMAN] upgraded flac (1.2.1-3 -> 1.3.0-1)
[2013-06-04 19:51] [PACMAN] upgraded pciutils (3.2.0-2 -> 3.2.0-3)
[2013-06-04 19:51] [PACMAN] upgraded chromium (26.0.1410.63-2 -> 27.0.1453.93-3)
[2013-06-04 19:51] [PACMAN] upgraded keyutils (1.5.5-3 -> 1.5.5-5)
[2013-06-04 19:51] [PACMAN] upgraded e2fsprogs (1.42.7-1 -> 1.42.7-2)
[2013-06-04 19:51] [PACMAN] upgraded libsasl (2.1.26-2 -> 2.1.26-4)
[2013-06-04 19:51] [PACMAN] upgraded libldap (2.4.35-3 -> 2.4.35-4)
[2013-06-04 19:51] [PACMAN] upgraded krb5 (1.11.2-1 -> 1.11.2-4)
[2013-06-04 19:51] [PACMAN] upgraded libwbclient (4.0.5-3 -> 4.0.6-1)
[2013-06-04 19:51] [PACMAN] upgraded cifs-utils (6.0-1 -> 6.0-2)
[2013-06-04 19:51] [PACMAN] upgraded cronie (1.4.9-2 -> 1.4.9-4)
[2013-06-04 19:51] [PACMAN] upgraded device-mapper (2.02.98-3 -> 2.02.98-4)
[2013-06-04 19:51] [PACMAN] upgraded popt (1.16-5 -> 1.16-6)
[2013-06-04 19:51] [PACMAN] upgraded cryptsetup (1.6.1-1 -> 1.6.1-2)
[2013-06-04 19:51] [PACMAN] upgraded iptables (1.4.18-1 -> 1.4.19.1-1)
[2013-06-04 19:51] [PACMAN] upgraded iproute2 (3.9.0-1 -> 3.9.0-2)
[2013-06-04 19:51] [PACMAN] upgraded dhclient (4.2.5-1 -> 4.2.5.p1-2)
[2013-06-04 19:51] [PACMAN] upgraded dhcpcd (5.6.8-1 -> 5.6.8-3)
[2013-06-04 19:51] [PACMAN] upgraded dosfstools (3.0.16-1 -> 3.0.17-1)
[2013-06-04 19:51] [PACMAN] upgraded libchamplain (0.12.4-1 -> 0.12.4-2)
[2013-06-04 19:51] [PACMAN] upgraded eog-plugins (3.8.1-1 -> 3.8.1-2)
[2013-06-04 19:51] [PACMAN] upgraded sed (4.2.2-2 -> 4.2.2-3)
[2013-06-04 19:51] [ALPM-SCRIPTLET] /tmp/alpm_vQLZdK/.INSTALL: line 9: sbin/ldconfig: File o directory non esistente
[2013-06-04 19:51] [PACMAN] upgraded fakeroot (1.18.4-1 -> 1.19-1)
[2013-06-04 19:51] [PACMAN] upgraded fuse (2.9.2-1 -> 2.9.2-3)
[2013-06-04 19:51] [PACMAN] upgraded gawk (4.0.2-1 -> 4.1.0-1)
[2013-06-04 19:51] [PACMAN] upgraded gcc (4.8.0-4 -> 4.8.1-1)
[2013-06-04 19:51] [PACMAN] upgraded libxml2 (2.9.1-1 -> 2.9.1-2)
[2013-06-04 19:51] [PACMAN] upgraded gconf (3.2.6-1 -> 3.2.6-2)
[2013-06-04 19:51] [PACMAN] upgraded gnome-bluetooth (3.8.0-1 -> 3.8.1-1)
[2013-06-04 19:51] [PACMAN] upgraded libgdm (3.8.1.1-1 -> 3.8.1.1-2)
[2013-06-04 19:51] [PACMAN] upgraded mutter (3.8.2-1 -> 3.8.2-2)
[2013-06-04 19:51] [PACMAN] upgraded wpa_supplicant (2.0-3 -> 2.0-4)
[2013-06-04 19:51] [PACMAN] upgraded ppp (2.4.5-5 -> 2.4.5-6)
[2013-06-04 19:51] [PACMAN] installed libmbim (1.0.0-1)
[2013-06-04 19:51] [PACMAN] upgraded modemmanager (0.7.990-4 -> 0.7.990-5)
[2013-06-04 19:51] [PACMAN] upgraded networkmanager (0.9.8.0-3 -> 0.9.8.0-4)
[2013-06-04 19:51] [PACMAN] upgraded telepathy-mission-control (5.14.0-1 -> 5.14.1-1)
[2013-06-04 19:52] [PACMAN] upgraded gnome-shell (3.8.2-2 -> 3.8.2-4)
[2013-06-04 19:52] [ALPM] warning: directory permissions differ on /var/log/gdm/
filesystem: 711  package: 1770
[2013-06-04 19:52] [PACMAN] upgraded gdm (3.8.1.1-1 -> 3.8.1.1-2)
[2013-06-04 19:52] [PACMAN] upgraded giflib (4.2.1-1 -> 4.2.1-2)
[2013-06-04 19:52] [PACMAN] upgraded libatasmart (0.19-1 -> 0.19-2)
[2013-06-04 19:52] [PACMAN] upgraded udisks2 (2.1.0-1 -> 2.1.0-3)
[2013-06-04 19:52] [PACMAN] upgraded gnome-disk-utility (3.8.0-2 -> 3.8.2-1)
[2013-06-04 19:52] [PACMAN] upgraded gnupg (2.0.20-1 -> 2.0.20-2)
[2013-06-04 19:52] [PACMAN] upgraded nettle (2.7-1 -> 2.7.1-1)
[2013-06-04 19:52] [PACMAN] upgraded p11-kit (0.18.1-1 -> 0.18.2-1)
[2013-06-04 19:52] [PACMAN] upgraded gnutls (3.1.11-1 -> 3.2.1-1)
[2013-06-04 19:52] [PACMAN] upgraded gpm (1.20.7-2 -> 1.20.7-3)
[2013-06-04 19:52] [PACMAN] upgraded graphite (1:1.2.1-1 -> 1:1.2.2-1)
[2013-06-04 19:52] [PACMAN] upgraded groff (1.22.2-2 -> 1.22.2-3)
[2013-06-04 19:52] [ALPM] warning: /boot/grub/grub.cfg installed as /boot/grub/grub.cfg.pacnew
[2013-06-04 19:52] [PACMAN] upgraded grub-common (2.00-1 -> 2.00-2)
[2013-06-04 19:52] [PACMAN] upgraded grub-bios (2.00-1 -> 2.00-2)
[2013-06-04 19:52] [PACMAN] upgraded harfbuzz (0.9.16-1 -> 0.9.17-2)
[2013-06-04 19:52] [PACMAN] upgraded inetutils (1.9.1-5 -> 1.9.1-6)
[2013-06-04 19:52] [PACMAN] upgraded mesa-libgl (9.1.2-1 -> 9.1.3-1)
[2013-06-04 19:52] [PACMAN] upgraded intel-dri (9.1.2-1 -> 9.1.3-1)
[2013-06-04 19:52] [PACMAN] upgraded iputils (20121221-1 -> 20121221-2)
[2013-06-04 19:52] [PACMAN] upgraded jfsutils (1.1.15-3 -> 1.1.15-4)
[2013-06-04 19:52] [PACMAN] upgraded lib32-alsa-lib (1.0.27-1 -> 1.0.27.1-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-dbus-core (1.6.8-1 -> 1.6.10-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libogg (1.3.0-1 -> 1.3.1-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-gcc-libs (4.8.0-4 -> 4.8.1-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-flac (1.2.1-8 -> 1.3.0-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-freetype2 (2.4.11-1 -> 2.4.12-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-fontconfig (2.10.92-1 -> 2.10.93-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libdrm (2.4.44-1 -> 2.4.45-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libjpeg-turbo (1.2.1-1 -> 1.3.0-2)
[2013-06-04 19:52] [PACMAN] upgraded libtiff (4.0.3-1 -> 4.0.3-2)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libtiff (4.0.3-1 -> 4.0.3-2)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxau (1.0.7-1 -> 1.0.8-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxcb (1.9-2 -> 1.9.1-1)
[2013-06-04 19:52] [PACMAN] upgraded libxfixes (5.0-2 -> 5.0.1-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxfixes (5.0-1 -> 5.0.1-1)
[2013-06-04 19:52] [PACMAN] upgraded libxcursor (1.1.13-1 -> 1.1.14-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxcursor (1.1.13-1 -> 1.1.14-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxext (1.3.1-1 -> 1.3.2-1)
[2013-06-04 19:52] [PACMAN] upgraded libxrandr (1.4.0-1 -> 1.4.1-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxrandr (1.4.0-1 -> 1.4.1-1)
[2013-06-04 19:52] [PACMAN] upgraded libxtst (1.2.1-1 -> 1.2.2-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxtst (1.2.1-1 -> 1.2.2-1)
[2013-06-04 19:52] [PACMAN] upgraded libxv (1.0.7-1 -> 1.0.8-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxv (1.0.7-1 -> 1.0.8-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-libxxf86vm (1.1.2-1 -> 1.1.3-1)
[2013-06-04 19:52] [PACMAN] installed lib32-llvm-amdgpu-lib-snapshot (20130403-2)
[2013-06-04 19:52] [PACMAN] upgraded lib32-mesa (9.1.2-1 -> 9.1.3-2)
[2013-06-04 19:52] [PACMAN] upgraded lib32-mesa-libgl (9.1.2-1 -> 9.1.3-2)
[2013-06-04 19:52] [PACMAN] upgraded lib32-sqlite (3.7.16.2-1 -> 3.7.17-1)
[2013-06-04 19:52] [PACMAN] upgraded lib32-util-linux (2.23-1 -> 2.23.1-1)
[2013-06-04 19:52] [PACMAN] upgraded libbluray (0.2.3-1 -> 0.3.0-1)
[2013-06-04 19:52] [PACMAN] upgraded libcups (1.6.2-1 -> 1.6.2-2)
[2013-06-04 19:52] [PACMAN] upgraded libproxy (0.4.11-1 -> 0.4.11-2)
[2013-06-04 19:52] [PACMAN] upgraded tar (1.26-3 -> 1.26-4)
[2013-06-04 19:52] [PACMAN] upgraded libtool (2.4.2-8 -> 2.4.2-9)
[2013-06-04 19:52] [PACMAN] upgraded libxinerama (1.1.2-1 -> 1.1.3-1)
[2013-06-04 19:52] [PACMAN] upgraded libxres (1.0.6-1 -> 1.0.7-1)
[2013-06-04 19:52] [PACMAN] upgraded linux-firmware (20130430-1 -> 20130528-1)
[2013-06-04 19:52] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2013-06-04 19:52] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2013-06-04 19:52] [ALPM-SCRIPTLET] /tmp/alpm_FHX5Oz/.INSTALL: /usr/bin/mkinitcpio: /bin/bash: bad interpreter: File o directory non esistente
[2013-06-04 19:52] [PACMAN] upgraded linux (3.9.2-1 -> 3.9.4-1)
[2013-06-04 19:52] [PACMAN] upgraded lvm2 (2.02.98-3 -> 2.02.98-4)
[2013-06-04 19:52] [PACMAN] upgraded man-db (2.6.3-1 -> 2.6.3-3)
[2013-06-04 19:52] [PACMAN] upgraded mdadm (3.2.6-3 -> 3.2.6-4)
[2013-06-04 19:52] [PACMAN] upgraded net-tools (1.60.20120804git-2 -> 1.60.20130531git-1)
[2013-06-04 19:52] [PACMAN] upgraded openobex (1.5-3 -> 1.7-5)
[2013-06-04 19:52] [PACMAN] upgraded obex-data-server (0.4.6-5 -> 0.4.6-7)
[2013-06-04 19:52] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2013-06-04 19:52] [PACMAN] upgraded pacman-mirrorlist (20130323-1 -> 20130601-1)
[2013-06-04 19:52] [PACMAN] upgraded perl-xml-parser (2.41-3 -> 2.41-4)
[2013-06-04 19:52] [PACMAN] upgraded procps-ng (3.3.7-1 -> 3.3.8-1)
[2013-06-04 19:52] [PACMAN] upgraded pm-utils (1.4.1-5 -> 1.4.1-6)
[2013-06-04 19:52] [PACMAN] upgraded poppler-glib (0.22.3-3 -> 0.22.4-1)
[2013-06-04 19:52] [PACMAN] upgraded python (3.3.1-1 -> 3.3.2-1)
[2013-06-04 19:52] [PACMAN] upgraded reiserfsprogs (3.6.22-1 -> 3.6.22-2)
[2013-06-04 19:52] [PACMAN] upgraded rtmpdump (20121203-1 -> 20121203-2)
[2013-06-04 19:52] [PACMAN] upgraded skype (4.1.0.20-6 -> 4.2.0.11-1)
[2013-06-04 19:52] [PACMAN] upgraded smbclient (4.0.5-3 -> 4.0.6-1)
[2013-06-04 19:52] [PACMAN] upgraded sysvinit-tools (2.88-10 -> 2.88-11)
[2013-06-04 19:52] [PACMAN] upgraded systemd-sysvcompat (204-1 -> 204-3)
[2013-06-04 19:52] [PACMAN] upgraded usbmuxd (1.0.8-1 -> 1.0.8-2)
[2013-06-04 19:52] [PACMAN] upgraded v4l-utils (0.9.5-1 -> 0.9.5-2)
[2013-06-04 19:52] [PACMAN] upgraded zvbi (0.2.33-5 -> 0.2.33-6)
[2013-06-04 19:52] [PACMAN] upgraded vlc (2.0.6-2 -> 2.0.7-1)
[2013-06-04 19:52] [PACMAN] upgraded xf86-input-synaptics (1.7.0-1 -> 1.7.1-1)
[2013-06-04 19:52] [PACMAN] upgraded xf86-video-intel (2.21.6-1 -> 2.21.8-1)
[2013-06-04 19:52] [PACMAN] upgraded xfsprogs (3.1.10-1 -> 3.1.11-1)
[2013-06-04 19:52] [PACMAN] upgraded xkeyboard-config (2.8-1 -> 2.9-1)
[2013-06-04 19:52] [PACMAN] upgraded xorg-fonts-alias (1.0.2-2 -> 1.0.3-1)
[2013-06-04 19:52] [PACMAN] upgraded xorg-xrefresh (1.0.4-3 -> 1.0.5-1)
[2013-06-04 19:52] [PACMAN] Running 'pacman -Syu'
[2013-06-04 19:52] [PACMAN] synchronizing package lists
[2013-06-04 19:52] [PACMAN] starting full system upgrade
[2013-06-04 19:52] [PACMAN] upgraded filesystem (2013.03-2 -> 2013.05-2)
[2013-06-04 19:52] [PACMAN] Running 'pacman -Syu'
[2013-06-04 19:52] [PACMAN] synchronizing package lists
[2013-06-04 19:52] [PACMAN] starting full system upgrade

Thank you and sorry.
Riccardo

mod edit: Added code tags -- ewaller

Last edited by ewaller (2013-06-04 21:16:22)


Arch Linux x86_64 | GNOME | Genuine Intel® CPU U7300 @ 1.30GHz × 2 | 3,7 GiB | Corsair Force 3 SSD 120 GiB

Offline

#4 2013-06-04 20:26:13

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,110
Website

Re: [SOLVED] unable to find root device

So you ran:

[2013-06-04 19:49] [PACMAN] Running 'pacman -Syu --ignore filesystem'

After we explicitly stated:

pacman -Syu --ignore filesystem,bash

Which lead to...

[2013-06-04 19:52] [ALPM-SCRIPTLET] /tmp/alpm_FHX5Oz/.INSTALL: /usr/bin/mkinitcpio: /bin/bash: bad interpreter: File o directory non esistente

Offline

#5 2013-06-04 20:31:48

riccardo
Member
From: IT
Registered: 2012-08-05
Posts: 50

Re: [SOLVED] unable to find root device

falconindy wrote:

So you ran:

[2013-06-04 19:49] [PACMAN] Running 'pacman -Syu --ignore filesystem'

After we explicitly stated:

pacman -Syu --ignore filesystem,bash

Which lead to...

[2013-06-04 19:52] [ALPM-SCRIPTLET] /tmp/alpm_FHX5Oz/.INSTALL: /usr/bin/mkinitcpio: /bin/bash: bad interpreter: File o directory non esistente

On www.archlinux.it I did not find to exclude filesystem and bash. How can I solve now?


Riccardo


Arch Linux x86_64 | GNOME | Genuine Intel® CPU U7300 @ 1.30GHz × 2 | 3,7 GiB | Corsair Force 3 SSD 120 GiB

Offline

#6 2013-06-04 20:33:06

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,253

Re: [SOLVED] unable to find root device

You need to chroot into the system and rebuild your initcpio (mkinitcpio -p linux)

Offline

#7 2013-06-04 20:55:44

riccardo
Member
From: IT
Registered: 2012-08-05
Posts: 50

Re: [SOLVED] unable to find root device

Scimmia wrote:

You need to chroot into the system and rebuild your initcpio (mkinitcpio -p linux)

It works! Thank you very much!


Riccardo


Arch Linux x86_64 | GNOME | Genuine Intel® CPU U7300 @ 1.30GHz × 2 | 3,7 GiB | Corsair Force 3 SSD 120 GiB

Offline

#8 2013-06-04 21:17:37

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 16,690

Re: [SOLVED] unable to find root device

riccardo,
Please use BBCode code tags.  Note there is also a link under each 'post' box.
Thanks.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

#9 2013-06-05 08:04:04

riccardo
Member
From: IT
Registered: 2012-08-05
Posts: 50

Re: [SOLVED] unable to find root device

ewaller wrote:

riccardo,
Please use BBCode code tags.  Note there is also a link under each 'post' box.
Thanks.

Ok, next time I will use it.


Thank you.
Riccardo


Arch Linux x86_64 | GNOME | Genuine Intel® CPU U7300 @ 1.30GHz × 2 | 3,7 GiB | Corsair Force 3 SSD 120 GiB

Offline

#10 2013-06-07 12:43:19

Zild
Member
Registered: 2013-06-07
Posts: 1

Re: [SOLVED] unable to find root device

Hi,

I am currently having the same issue as Riccardo. I did the same mistake forgetting to ignore bash.
I am trying to solve the problem by running mkinitcpio -p linux after chroot into the system but there is no /boot/vmlinuz-linux image.

mkinitcpio -p linux

==> buiding image from present: default
-k /boot/vwlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==>Error:specified kernel image does not exist: /boot/vmlinuz/-linux
==>building image from present: fallback
-> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Error:specified kernel image does no exist:/boot/vmlinuz-linux

Anyone having an idea how to fix the initcpio?

Last edited by Zild (2013-06-07 12:43:42)

Offline

#11 2013-06-07 12:51:44

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,110
Website

Re: [SOLVED] unable to find root device

Zild wrote:
kernel image does no exist:/boot/vmlinuz-linux

Anyone having an idea how to fix the initcpio?

The error seems pretty obvious -- you're missing /boot/vmlinuz-linux, which is your kernel.

Offline

#12 2013-06-07 14:09:38

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,253

Re: [SOLVED] unable to find root device

Zild, sounds like you forgot to mount /boot

Offline

#13 2013-06-07 18:50:34

narcin
Member
Registered: 2010-01-23
Posts: 20

Re: [SOLVED] unable to find root device

Hello,
after

pacman -Syu --ignore filesystem

I've got 2 errors:
first after trying run any application:

/usr/bin: no such file or directory

second after reboot:

ERROR: device 'UUID=***' not found. Skipping fsck.
ERROR: Unable to find root device 'UUID=***'.

After chroot and

mkinitcpio -p linux

I've got:

/usr/bin: no such file... 

I have two partitions / and /home

Could anyone help me ?

Offline

#14 2013-06-07 19:30:36

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,253

Re: [SOLVED] unable to find root device

it's claiming /usr/bin doesn't exist? Are you sure it's not complaining about /bin or /usr/sbin?

mount the drive and take a look, /bin, /sbin, and /usr/sbin should all be symlinks to /usr/bin, and all of your programs should be in /usr/bin.

Last edited by Scimmia (2013-06-07 19:31:41)

Offline

#15 2013-06-08 05:58:45

narcin
Member
Registered: 2010-01-23
Posts: 20

Re: [SOLVED] unable to find root device

I've tried to repair it, but I failed.

Right now i can't go into chroot

chroot /mnt/arch /usr/bin/bash
chroot: failed to run command /usr/bin/bash: No such file or directory
 

I've red that, I should use pacstrap to repair chroot, but I have no idea how to do that.

Offline

#16 2013-06-08 12:55:32

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,253

Re: [SOLVED] unable to find root device

You need to give us some information. What exactly have you done (specific commands)?

Offline

#17 2013-07-02 01:29:47

autofyrsto
Member
Registered: 2013-07-02
Posts: 1

Re: [SOLVED] unable to find root device

I have also had success with this method. I'll clarify what I did in case it might help people who are even newbier than I am.

I used a LiveCD for this. I had a GParted Live CD hanging around, so I used that, but I imagine that any LiveCD that will get you a root terminal will do. You might have to make a LiveCD on another computer if you no longer have one that works.

Once in the terminal you can follow Scimmia's instruction: "You need to chroot into the system and rebuild your initcpio (mkinitcpio -p linux)" The instructions for how to chroot into the Arch system are here: Arch Wiki - Change Root.

My hard drive is partitioned as follows: /dev/sda1 is the boot partition, /dev/sda3 is the root partition, and /dev/sda4 is the home partition. I mounted these as instructed on the Change Root ArchWiki page. I then mounted the temporary file systems as instructed. I skipped the internet connection command, as no internet connection is necessary for this, and I went right for the chroot command.

# chroot /mnt/arch /usr/bin/bash

I then issued Scimmia's command:

# mkinitcpio -p linux

This returned for me the same error that Zlid had mentioned: "Error:specified kernel image does no exist:/boot/vmlinuz-linux" I checked on my /boot directory and found it to be empty. My chrooted Arch system evidently did not recognize my earlier mount of /dev/sda1. The simple solution was to mount my boot partition again, within the chrooted system, as Simmia suggested:

# mount /dev/sda1 /boot

I ran the command again:

# mkinitcpio -p linux

The command worked for me this time. The process warned of some "deprecated hooks". If you see this, you might want to use nano to edit the list of hooks in /etc/mkinitcpio.conf as instructed and then run the mkinitcpio command again, but I think that is optional, as the process seemed to substitute the updated hooks on its own.

This worked for me. No more tears! I hope it works for you. Thanks to Scimmia for the help.

Offline

#18 2013-08-12 04:01:09

chocimir
Member
Registered: 2013-08-12
Posts: 1

Re: [SOLVED] unable to find root device

Hi,

I think I have the same problem. First I only had grub command line. After I reinstalled grub I am getting:

Unable to find root device UUID=(...)
You are being dropped to a recovery shell
   Type 'exit' to try and continue booting

I managed to chroot into the system and run

mkinitcpio -p linux

As it is mantioned above. This went fine but did not managet to fix the problem. What could I do more? Please help.

Last edited by chocimir (2013-08-12 04:02:53)

Offline

#19 2013-08-12 12:03:46

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: [SOLVED] unable to find root device

riccardo wrote:

On www.archlinux.it I did not find to exclude filesystem and bash. How can I solve now?

It's on the front page, under the date 04-06-2013: http://www.archlinux.it/forum/viewtopic … 15&t=17558

Offline

Board footer

Powered by FluxBB